Page MenuHomePhabricator

Enable Page Previews on English Wikivoyage
Closed, ResolvedPublic1 Story Points

Description

Per discussion: https://en.wikivoyage.org/w/index.php?title=Wikivoyage%3ATravellers%27_pub&oldid=3607763#Enable_page_previews%3F

The English Wikivoyage community would like to try out the page previews feature.

Required config:

PopupsOptInStateForNewAccounts: '1'
PopupsOptInDefaultState: '1'
PopupsGateway: 'restbaseHTML'

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2018, 6:23 PM
ovasileva triaged this task as Normal priority.Sep 10 2018, 8:16 PM
ovasileva set the point value for this task to 1.Sep 18 2018, 4:51 PM

Change 463119 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[operations/mediawiki-config@master] Enable Page-previews on Wikivoyage

https://gerrit.wikimedia.org/r/463119

D3r1ck01 claimed this task.Sep 26 2018, 5:31 PM
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.

Pulling sprint so we can track this work! Thanks @D3r1ck01

Change 463119 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Page-previews on Wikivoyage

https://gerrit.wikimedia.org/r/463119

Mentioned in SAL (#wikimedia-operations) [2018-09-27T18:43:11Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:463119|Enable Page-previews on Wikivoyage]] T203981 (duration: 00m 57s)

Jdlrobson reassigned this task from D3r1ck01 to ovasileva.Sep 27 2018, 6:55 PM

This is deployed now. Let me know if you want to run any QA.

This is deployed now. Let me know if you want to run any QA.

We should double check the usual flows. I'm volunteering myself.

ovasileva closed this task as Resolved.Oct 1 2018, 4:31 PM

Confirmed the following test cases:

  • previews appear as expected
  • page previews on by default for logged-in users
  • turning page previews on/off for logged-in users functions as expected
  • page previews on by default for logged-out users
  • turning page previews on/off for logged-out users functions as expected

They look great! Moving to signoff and resolving.